# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Most
Version:	0.38
Release:	2.%{__distinit}%{__distvers}
Summary:	Perl module with test functions and features
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Test-Most
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-Most-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Data::Dumper::Names) >= 0.03
BuildRequires:	perl(Exception::Class) >= 1.14
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::Builder::Module)
BuildRequires:	perl(Test::Deep) >= 0.119
BuildRequires:	perl(Test::Differences) >= 0.64
BuildRequires:	perl(Test::Exception) >= 0.43
BuildRequires:	perl(Test::Harness) >= 3.35
BuildRequires:	perl(Test::More) >= 1.302047
BuildRequires:	perl(Test::Warn) >= 0.30
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(lib)
# Extra Tests
BuildRequires:	perl(Pod::Coverage) >= 0.18
BuildRequires:	perl(Test::Pod) >= 1.22
# Test::Pod::Coverage thinks that Test::Most::Exception has a naked subroutine
BuildConflicts:	perl(Test::Pod::Coverage) >= 1.08
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Carp)
Requires:	perl(Data::Dumper)
Requires:	perl(Data::Dumper::Names) >= 0.03
Requires:	perl(Test::Deep) >= 0.119
Requires:	perl(Test::Differences) >= 0.64
Requires:	perl(Test::Exception) >= 0.43
Requires:	perl(Test::Harness) >= 3.35
Requires:	perl(Test::More) >= 1.302047
Requires:	perl(Test::Warn) >= 0.30
Requires:	perl(Time::HiRes)

%description
Most commonly needed test functions and features. This module provides you with 
the most commonly used testing functions and gives you a bit more fine-grained 
control over your test suite.

%prep
%setup -q -n Test-Most-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Most.3*
%{_mandir}/man3/Test::Most::Exception.3*

%changelog
* Wed Jul 19 2023 Paul Howarth <paul@city-fan.org> - 0.38-2
- Drop MODULE_COMPAT dependency from Fedora 38 onwards

* Sat Sep 24 2022 Paul Howarth <paul@city-fan.org> - 0.38-1
- Update to 0.38
  - Stop permanently altering Test::More's export list (CPAN RT#73299)
- Use SPDX-format license tag

* Sun Apr  5 2020 Paul Howarth <paul@city-fan.org> - 0.37-1
- Update to 0.37
  - Don't call parent DESTROY method if it does not exist

* Sat Apr  4 2020 Paul Howarth <paul@city-fan.org> - 0.36-1
- Update to 0.36
  - Ensure Test::Builder's original DESTROY is called (GH#10)

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 0.35-9
- Perl 5.30 rebuild

* Fri Apr  6 2018 Paul Howarth <paul@city-fan.org> - 0.35-5
- BR: perl-interpreter rather than perl

* Thu Aug 11 2016 Paul Howarth <paul@city-fan.org> - 0.35-1
- Update to 0.35
  - Bump module deps due to Test2; Test2 is tested well enough that you're
    probably OK, but you'll want to retest your code with this release
- BR: perl-generators
- Simplify find command using -delete
- Drop legacy Group: tag

* Sat Aug  8 2015 Paul Howarth <paul@city-fan.org> - 0.34-5
- Classify buildreqs by usage

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.34-2
- Perl 5.20 rebuild

* Thu Aug 14 2014 Paul Howarth <paul@city-fan.org> - 0.34-1
- Update to 0.34
  - Make compatible with the new Test::Builder
  - Backwards-incompatible change: reftype no longer exported by default; see
    https://github.com/Ovid/test--most/issues/6 (this should not be noticed by
    most users)
  - defer_plan() has long been deprecated and will be removed in a future
    release; this release carp()s if you try to call it

* Mon Jan 13 2014 Paul Howarth <paul@city-fan.org> - 0.33-1
- Update to 0.33
  - Fix "(in cleanup) Can't use an undefined value as a subroutine reference"
    error

* Thu Sep  6 2012 Paul Howarth <paul@city-fan.org> - 0.31-1
- Update to 0.31
  - Fix "You tried to plan twice" bug (CPAN RT#78564)

* Wed Sep  5 2012 Paul Howarth <paul@city-fan.org> - 0.30-1
- Update to 0.30
  - Moose can now be used safely as we exclude Test::Deep::blessed by default
  - Time::HiRes eval test now uses $@, not @_
  - carp instead of warn
  - Remove autogenerated files

* Fri Jul 13 2012 Paul Howarth <paul@city-fan.org> - 0.25-3
- BR: perl(base), perl(Carp), perl(Data::Dumper), perl(Exporter), perl(lib),
  perl(Pod::Coverage), perl(Test::Builder), perl(Test::Builder::Module) and
  perl(Test::Command)
- Explicitly require perl(Data::Dumper::Names) ≥ 0.03
- Don't need to remove empty directories from the buildroot

* Thu Aug 18 2011 Paul Howarth <paul@city-fan.org> - 0.25-1
- Update to 0.25
  - Add timeit() function to time individual behaviours
- BR/R: perl(Time::HiRes) for timeit() function
- Fix dist tag for CentOS 6 and Scientific Linux

* Sat Jun 18 2011 Paul Howarth <paul@city-fan.org> - 0.24-1
- Update to 0.24
  - Update dependencies to pick up multiple bug fixes and new behaviours in
    various Test:: libraries
- Nobody else likes macros for commands
- Clean up for modern rpmbuild

* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> - 0.23-2
- Add explicit requires that are no longer automatically detected

* Wed Sep  8 2010 Paul Howarth <paul@city-fan.org> - 0.23-1
- Update to 0.23
  - Added "Excluding Test Symbols" feature (CPAN RT#61146)

* Sun Aug  8 2010 Paul Howarth <paul@city-fan.org> - 0.22-1
- Update to 0.22
  - Have explain() depend on Test::More::note()
  - Depend on Test::More directly
  - Import strict and warnings
  - Remove strict and warnings from tests since they no longer need them
  - Bump Test::Warn requirement to 0.11 (CPAN RT#44790)
  - Bump Test::More requirement to 0.88 for done_testing()
  - Bump version numbers for all test modules
  - Moderately significant POD update
  - Add ability to exclude test modules in case of conflicts (CPAN RT#54362)
  - Add always_explain() and always_show()
  - Apply doc fixes from ranguard

* Mon Jun 28 2010 Paul Howarth <paul@city-fan.org> - 0.21-7
- Import from Fedora
- Use ExtUtils::MakeMaker rather than Module::Build
- Run author tests in %%check

* Thu May  6 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.21-6
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.21-5
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr  6 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.21-3
- Remove unnecessary requirements

* Thu Apr  2 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.21-1
- Specfile autogenerated by cpanspec 1.78
